close

[Solved] An error occurred while trying to compute required packages

Hello Guys, How are you all? Hope You all Are Fine. Today I Am Just trying to run android studio for first time in my macbook M1 chip But Its failing to run and I am facing following error: An error occurred while trying to compute required packages. So Here I am Explain to you all the possible solutions here.

Without wasting your time, Let’s start This Article to Solve This Error.

How An error occurred while trying to compute required packages Error Occurs?

I Am Just trying to run android studio for first time in my macbook M1 chip But Its failing to run and I am facing following error.

An error occurred while trying to compute required packages

How To Solve An error occurred while trying to compute required packages Error ?

  1. How To Solve An error occurred while trying to compute required packages Error ?

    To Solve An error occurred while trying to compute required packages Error You Just need to use older version of android studio, First of all You need to Download Chipmunk (2021.2.1) Canary 4 From Here. Now, Unpackage it And Run It. Then, install all the SDK components Now accept licenses. Then, simply close this android studio and delete it. Now You can start your stable Android Studio (Arctic Fox). Now Your error must be solved.

  2. An error occurred while trying to compute required packages

    To Solve An error occurred while trying to compute required packages Error You Just need to use older version of android studio, Just follow this step to use older version of android studio. First of all download android-studio-ide-192.6392135-mac.zip file. Then, unpackage and run Android Studio 3.6.3. Now Install the Android SDK. Then You need to Overwrite the installation with the Apple Chip version of Android Studio. Now, Your error must be solved.

Solution 1: Use older version of Android studio

You Just need to use older version of android studio, Just follow this step to use older version of android studio.

  1. First of all download android-studio-ide-192.6392135-mac.zip file.
  2. Then, unpackage and run Android Studio 3.6.3.
  3. Now Install the Android SDK.
  4. Then You need to Overwrite the installation with the Apple Chip version of Android Studio.
  5. Now, Your error must be solved.

Solution 2: Install android studio

You Just need to install Android SDK from Download Chipmunk (2021.2.1) Canary 4 and then Uninstall it. Now you can Use your Android Studio (Arctic Fox).

  1. First of all You need to Download Chipmunk (2021.2.1) Canary 4 From Here.
  2. Now, Unpackage it And Run It.
  3. Then, install all the SDK components
  4. Now accept licenses.
  5. Then, simply close this android studio and delete it.
  6. Now You can start your stable Android Studio (Arctic Fox).
  7. Now Your error must be solved.

Solution 3: Download Intellij IDEA

  1. First of all Download Intellij IDEA Community edition.
  2. Then, install Android SDK to your machine.
  3. Once IntelliJ installation is complete.
  4. Then You need to create new project.
  5. Now, select android then download SDK.
  6. Then open Android Studio again and follow its setup wizard.
  7. Now, Your error must be solved.

Summery

It’s all About this issue. Hope all solution helped you a lot. Comment below Your thoughts and your queries. Also, Comment below which solution worked for you? Thank You.

Also, Read

Please Rate Our Solution to Motivate Us For Give Our Best

Leave a Comment